Subject: Re: bug#18997: 24.4; IDLWAVE: Emacs crashes when trying to change the window while in the IDL shell

From: Gordon Farquharson <[email-masked]>
Date: Thu, 12 Nov 2015 12:35:59 -0800

On Thu, Nov 12, 2015 at 10:38 AM, Gordon Farquharson <
[email-masked]> wrote:

>
> On Thu, Nov 12, 2015 at 10:33 AM, Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Glenn Morris <[email-masked]>
>> > Cc: [email-masked],  [email-masked]
>> > Date: Thu, 12 Nov 2015 13:24:59 -0500
>> >
>> > Eli Zaretskii wrote:
>> >
>> > > Does the upstream version avoid this problem?
>> >
>> > Don't know, it was just a general lament on the state of the world.
>>
>> Gordon, could you perhaps try the upstream version?
>>
>
> 24.4 does fail with the upstream IDLWAVE. I haven't tried emacs master
> with upstream IDLWAVE. Standby. I need to build emacs master first.
>

I built emacs from the git repository
(1e363a8ea5ac09455f3a44fbb646b5af32bca51c). WIth IDLWAVE upsteam, and the
changes to the idlw-toolbar.el file to make the icons 24 x 24 pixels and
the colors 8 bit triplets (#000000), emacs doesn't abort, but the icons are
just A (as reported by Glenn). The bit_per_sample assertion in
gdk_pixbuf_new_from_data still fails.

Gordon

-- 
Gordon Farquharson
GnuPG Key ID: 32D6D676